OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Clipping

Description

This module corresponds to section 13.5 (Primitive Clipping) of the OpenGL 4.4 specs.

# Documentation

newtype ClipPlaneName

Constructors

ClipPlaneName GLsizei |

Instances

Eq ClipPlaneName |
Ord ClipPlaneName |
Show ClipPlaneName |

clipPlane :: ClipPlaneName -> StateVar (Maybe (Plane GLdouble))

maxClipPlanes :: GettableStateVar GLsizei